Bug 444745 - Review Request: perl-Tk-TableMatrix - Perl module for creating and manipulating tables
Review Request: perl-Tk-TableMatrix - Perl module for creating and manipulati...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 09:47 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-07-29 14:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-29 14:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-04-30 09:47:45 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Tk-TableMatrix.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Tk-TableMatrix-1.23-1.fc9.kwizart.src.rpm
Description: Perl module for creating and manipulating tables

I'm not sure of the license (MIT ?)
Also i wonder if pTk subdir shoudn't be removed to use the perl-Tk package
(seems different things i guess).

http://koji.fedoraproject.org/koji/taskinfo?taskID=590123
Comment 1 Nicolas Chauvet (kwizart) 2008-07-10 11:47:14 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Tk-TableMatrix.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Tk-TableMatrix-1.23-2.fc9.kwizart.src.rpm
Description: Perl module for creating and manipulating tables

changelog
- Fix directory owership for perl packages.
- Add BR libX11-devel
Comment 2 Xavier Bachelot 2008-07-18 08:13:24 EDT
Builds fine in mock.

BR: are ok.

The tests should not be excluded unconditionally, a method to enable them on a
local build should be provided. Use something like :
%check
%{?_with_tests:make test}

rpmlint output is not empty, but the warnings are ok : 
perl-Tk-TableMatrix.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Tk/pTk/tkTableversion.h
perl-Tk-TableMatrix.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Tk/pTk/tkTable.h
perl-Tk-TableMatrix.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Tk/pTk/mm.h
perl-Tk-TableMatrix.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Tk/pTk/version.h

Requires and provides look sane.

The demos subdir should probably be added to %%doc. The ChangeLog file should
also be added to %%doc.

The license issue seems tricky. The package itself is GPL+ or Artistic, but the
pTk/ subdir is MIT and the pTk/mTk/ subdir is MIT too. btw, only the main
COPYING file is added, pTk/license.terms and pTk/mTk/license.terms should
probably be added to %%doc. As you noted previously, it would be good to look at
removing the included pTK and pTk/mTk, if at all possible, both for not
duplicating code and to ease the license issue.
Comment 3 Nicolas Chauvet (kwizart) 2008-07-18 19:27:08 EDT
OK so that seems stange. Maybe there is something to improve in the perl-Tk
package, because there is also a pTk/mTk directory but no libpTk.a (or a shared
version). To my eyes there is no duplicate code, but instead some code is
"extracted" from the perl-Tk package and built once again (to produce libpTk.a ?)
I will try to investigate deeper, but maybe I will need advices from the perl-Tk
maintainer.
Comment 4 Nicolas Chauvet (kwizart) 2008-07-20 16:53:47 EDT
So , IMO the libpTk.a should be built shared within the perl-Tk package.
I will submit a bug agaisnt the perl-Tk to request this improvement,
and if doable, this package can be fixed as needed. But for the current branches
(F-8 F-9 and eventually EL-4 EL-5 if more testing is needed), I don't think it
worth the trouble to have this fix backported
Then the licenses should only be provided by perl-Tk (which are BSD). But I will
provide it for now.


Comment 5 Nicolas Chauvet (kwizart) 2008-07-20 16:57:12 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Tk-TableMatrix.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Tk-TableMatrix-1.23-3.fc8.kwizart.src.rpm
Description: Perl module for creating and manipulating tables

Changelog
- Add conditional build --with tests
- Add demos directory as %%doc
Comment 6 Xavier Bachelot 2008-07-28 16:52:01 EDT
+ source files match upstream : 6b7653d129bf1a8327054a88b58d6364
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text is included.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock.
+ package installs properly.

- rpmlint is silent :
perl-Tk-TableMatrix.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Tk/pTk/mm.h
perl-Tk-TableMatrix.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Tk/pTk/tkTable.h
perl-Tk-TableMatrix.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Tk/pTk/tkTableversion.h
perl-Tk-TableMatrix.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Tk/pTk/version.h

These ones are ok.

perl-Tk-TableMatrix.i386: E: wrong-script-end-of-line-encoding
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/edit_styles.pl
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/basic
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/buttons
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/command
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/debug
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/dynarows
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/edit_styles.pl
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/maxsize
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/spreadsheet
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/SpreadsheetHideRows
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/TableMatrixSpreadsheetTest
perl-Tk-TableMatrix.i386: W: spurious-executable-perm
/usr/share/doc/perl-Tk-TableMatrix-1.23/demos/TableMatrixTest

Please fix these ones.

+ final provides and requires are sane:
Provides:
 TableMatrix.so
 perl(Tk::TableMatrix) = 1.23
 perl(Tk::TableMatrix::Spreadsheet) = 1.23
 perl(Tk::TableMatrix::SpreadsheetHideRows) = 1.23

Requires:
 libX11.so.6
 libc.so.6
 libc.so.6(GLIBC_2.0)
 libc.so.6(GLIBC_2.1.3)
 libc.so.6(GLIBC_2.3)
 libc.so.6(GLIBC_2.3.4)
 libc.so.6(GLIBC_2.4)
 libm.so.6
 libnsl.so.1
 perl(AutoLoader)
 perl(Carp)
 perl(Tk)
 perl(Tk::Derived)
 perl(Tk::Submethods)
 perl(Tk::TableMatrix)
 perl(Tk::TableMatrix::Spreadsheet)
 perl(base)
 perl(strict)
 perl(vars)
 rtld(GNU_HASH)

+ %check is present and all tests pass
check is disabled by default (needs a display) and a compile switch is provided. 
+ owns the directories it creates.

+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


Please fix the rpmlint issues. Also, please reference the perl-Tk bug (RHBZ#456019).
Once this is done, I'll approve the package.
Comment 7 Nicolas Chauvet (kwizart) 2008-07-29 05:16:03 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Tk-TableMatrix.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Tk-TableMatrix-1.23-4.fc8.kwizart.src.rpm
Description: Perl module for creating and manipulating tables

Changelog
- Fix encoding
Comment 8 Xavier Bachelot 2008-07-29 05:28:09 EDT
There's a typo in the end of line encoding fix : s/timestramps/timestamps/
Anyway, looks good, APPROVED.

Comment 9 Nicolas Chauvet (kwizart) 2008-07-29 05:41:55 EDT
New Package CVS Request
=======================
Package Name: perl-Tk-TableMatrix
Short Description: Perl module for creating and manipulating tables
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-07-29 11:40:29 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.